Package commoble.jumbofurnace.config

# Record Class ConfigHelper

java.lang.Object
java.lang.Record
commoble.jumbofurnace.config.ConfigHelper

public record ConfigHelper(net.minecraftforge.common.ForgeConfigSpec.Builder builder) extends Record
Helper for creating configs and defining complex objects in configs

## Constructor Summary

Constructors
Constructor
Description
`ConfigHelper(net.minecraftforge.common.ForgeConfigSpec.Builder builder)`
Creates an instance of a `ConfigHelper` record class.

## Method Summary

Modifier and Type
Method
Description
`net.minecraftforge.common.ForgeConfigSpec.Builder`
`builder()`
Returns the value of the `builder` record component.
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`final int`
`hashCode()`
Returns a hash code value for this object.
`static <T> T`
`register(net.minecraftforge.fml.config.ModConfig.Type configType, Function<net.minecraftforge.common.ForgeConfigSpec.Builder,T> configFactory)`
Register a config using a default config filename for your mod.
`static <T> T`
`register(net.minecraftforge.fml.config.ModConfig.Type configType, Function<net.minecraftforge.common.ForgeConfigSpec.Builder,T> configFactory, String configName)`
Register a config using a custom filename.
`final String`
`toString()`
Returns a string representation of this record class.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ConfigHelper

public ConfigHelper(net.minecraftforge.common.ForgeConfigSpec.Builder builder)
Creates an instance of a `ConfigHelper` record class.

Parameters:
  `builder` - the value for the `builder` record component

## Method Details

### register

public static <T> T register(net.minecraftforge.fml.config.ModConfig.Type configType, Function<net.minecraftforge.common.ForgeConfigSpec.Builder,T> configFactory)
Register a config using a default config filename for your mod.

Type Parameters:
  `T` - The class of your config implementation
Parameters:
  `configType` - Forge config type:
  - SERVER configs are defined by the server and synced to clients; individual configs are generated per-save. Filename will be modid-server.toml
  - COMMON configs are definable by both server and clients and not synced (they may have different values). Filename will be modid-client.toml
  - CLIENT configs are defined by clients and not used on the server. Filename will be modid-client.toml.
  `configFactory` - A constructor or factory for your config class
Returns:
  An instance of your config class

### register

public static <T> T register(net.minecraftforge.fml.config.ModConfig.Type configType, Function<net.minecraftforge.common.ForgeConfigSpec.Builder,T> configFactory, @Nullable String configName)
Register a config using a custom filename.

Type Parameters:
  `T` - Your config class
Parameters:
  `configType` - Forge config type:
  - SERVER configs are defined by the server and synced to clients; individual configs are generated per-save.
  - COMMON configs are definable by both server and clients and not synced (they may have different values)
  - CLIENT configs are defined by clients and not used on the server
  `configFactory` - A constructor or factory for your config class
  `configName` - Name of your config file. Supports subfolders, e.g. "yourmod/yourconfig".
Returns:
  An instance of your config class

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### builder

public net.minecraftforge.common.ForgeConfigSpec.Builder builder()
Returns the value of the `builder` record component.

Returns:
  the value of the `builder` record component